[1.79-only] Shipset Compatibility

Discussion and information relevant to creating special missions, new ships, skins etc.

Moderators: another_commander, winston

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

[1.79-only] Shipset Compatibility

Post by cim »

This is a very small OXP which overrides the roles defined by a replacement shipset to bring them back to the Oolite 1.79 default roles. So you can now use your favourite replacement shipset from an older version and get to try out the full effects of the new NPC ecosystem at the same time. It doesn't affect addition shipsets at all.

As it's only useful in 1.79, it's available in OXZ format only: download Shipset Compatibility 1.4.

If you're not using the 1.79 nightly builds, or not using a replacement shipset with them, this OXP is not useful for you.
Last edited by cim on Fri Jun 06, 2014 7:46 pm, edited 3 times in total.

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

Muchas gracias, Admiral.
Give me five, I'm still alive
Ain't no luck, I learned to duck

V12
Dangerous
Dangerous
Posts: 64
Joined: Thu Sep 19, 2013 12:25 pm

Re: [1.79-only] Shipset Compatibility

Post by V12 »

Hmm, I'm using nightly build 1.79 and have not any problem. But IMHO, NPC ships laserfire accuracy is far better than in 1.77

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: [1.79-only] Shipset Compatibility

Post by cim »

V12 wrote:Hmm, I'm using nightly build 1.79 and have not any problem.
Without this OXP but with a replacement shipset, and not even any error reports in Latest.log? It'll work, but you'll be missing out on certain features - e.g. ships other than Mamba and Sidewinder as escorts, organised pirate ambushes, the new bounty hunter packs, etc.
V12 wrote:But IMHO, NPC ships laserfire accuracy is far better than in 1.77
This is intentional. Here's some background as to why.

Essentially, around half of NPCs (without OXPs making them tougher) will now be able to score a hit reliably in the situation pictured in the link. This means that NPC v NPC fights actually finish... but as a consequence fights of a large number of NPCs against one player are much more dangerous than they were before, since if you stop dodging they'll get a solid lock and do some serious damage.

If it needs rebalancing by shifting more NPCs to pulse lasers rather than beam lasers and/or reducing NPC group sizes then that's what the testing of 1.79 will hopefully discover. It's also intentional that Feudal and Anarchy systems be more dangerous than before: as in the original Elite they should be a challenge even for a skilled player in a top-class ship. Corporate/Democracy systems should now be a lot safer, though - at least for law-abiding pilots. Feedback on how that's going is very useful.

Pirates also no longer unconditionally attack the player - it depends on whether it looks like the player might be carrying valuable cargo.

V12
Dangerous
Dangerous
Posts: 64
Joined: Thu Sep 19, 2013 12:25 pm

Re: [1.79-only] Shipset Compatibility

Post by V12 »

Thanx for explanation.
I installed this OXP, but in the log I foud errors :
16:31:41.305 [oolite-populator]: Tried to add trader-courier but no ships of that role found - using default 'trader'
16:31:41.351 [oolite-populator]: Tried to add trader-courier but no ships of that role found - using default 'trader'
16:31:41.548 [oolite-populator]: Tried to add pirate-light-freighter but no ships of that role found
16:31:41.633 [oolite-populator]: Tried to add pirate-light-fighter but no ships of that role found - using default 'pirate'
16:31:41.828 [oolite-populator]: Tried to add pirate-light-fighter but no ships of that role found - using default 'pirate'
16:31:41.948 [oolite-populator]: Tried to add pirate-medium-fighter but no ships of that role found - using default 'pirate'
16:31:42.030 [oolite-populator]: Tried to add hunter-medium but no ships of that role found - using default 'hunter'
I'm using Griff_Shipset_Replace_v1.34.oxp...

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: [1.79-only] Shipset Compatibility

Post by cim »

To fix a bug (auto_weapons defaults to off, but is needed on the core ships to equip them properly), Shipset Compatibility 1.1 is now available - link in first thread updated, or it's available through the in-game downloader.

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

cim wrote:... Shipset Compatibility 1.1 is now available [snip] it's available through the in-game downloader.
Okay, I'm probably having a 'senior moment' - I just tried that via the in-game downloader. At first, it wouldn't auto-install because of the previous version. I removed that, then it appeared to work, but it doesn't show in the Addons folder or the Latest.log - what am I missing?
Give me five, I'm still alive
Ain't no luck, I learned to duck

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: [1.79-only] Shipset Compatibility

Post by cim »

Cody wrote:At first, it wouldn't auto-install because of the previous version. I removed that, then it appeared to work, but it doesn't show in the Addons folder or the Latest.log - what am I missing?
There's a separate folder for automatically-downloaded addons. It should still appear in your Latest.log, but perhaps not where you expect it to.

User avatar
Pleb
---- E L I T E ----
---- E L I T E ----
Posts: 884
Joined: Sun Apr 29, 2012 2:23 pm
Location: United Kingdom

Re: [1.79-only] Shipset Compatibility

Post by Pleb »

It puts it in a different folder, look in the gnusteps folder it's in a folder in there...I think?!

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

Pleb wrote:It puts it in a different folder, look in the gnusteps folder it's in a folder in there...I think?!
Ahh... yes, it is tucked away in there (several levels down).
Give me five, I'm still alive
Ain't no luck, I learned to duck

User avatar
Pleb
---- E L I T E ----
---- E L I T E ----
Posts: 884
Joined: Sun Apr 29, 2012 2:23 pm
Location: United Kingdom

Re: [1.79-only] Shipset Compatibility

Post by Pleb »

Cody wrote:
Pleb wrote:It puts it in a different folder, look in the gnusteps folder it's in a folder in there...I think?!
Ahh... yes, it is tucked away in there (several levels down). So that will not show in the log then, eh? Fair enough.
It does its just a bit further up I think... I'm on my phone though so I can't check but it should be in there :)

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

You quoted me as I edited my post - I've found it in the log now.
Give me five, I'm still alive
Ain't no luck, I learned to duck

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

One more dumb question: how do I tell which version of an OXZ is installed without loading Oolite?
Give me five, I'm still alive
Ain't no luck, I learned to duck

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: [1.79-only] Shipset Compatibility

Post by cim »

Cody wrote:One more dumb question: how do I tell which version of an OXZ is installed without loading Oolite?
There's no easy way to do that right now. Unzip the OXZ file and see what its manifest.plist says?

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14095
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: [1.79-only] Shipset Compatibility

Post by Cody »

Okay... thanks, cim. It works nicely, anyway... I have the shipset re-installed, and assassins using injectors on my six.
Give me five, I'm still alive
Ain't no luck, I learned to duck

Post Reply